HELOC Inquiries/Offers
Calculate offers
POST
/products /heloc /v1 /inquiry /{appUuid} /calculate-offersRequest
Path parameters
appUuidstringRequired
Request body
application/jsonamountnumberRequiredIn the standard path this is the net draw amount; in the direct-debt-payoff (DDP) path this is the total selected amount before subtracting liability payoff.
autoPayDiscountEnabledbooleanRequiredWhether standard autopay discounts should be applied during recalculation.
cuDiscountEnabledbooleanRequiredWhether standard credit union / affiliate discounts should be applied during recalculation.
originationFeenumberWhen provided, only offers with this exact origination fee are returned. Orgs with dynamically changing origination fees are the primary reason this endpoint exists as the 'source of truth' for offers going forward.
liabilityPayoffAmountnumberOptional total liability payoff amount for DDP recalculation.
accountIdsarray of stringsOptional selected liability account IDs for DDP recalculation.
Responses
200OKobject
messagesarray of objectsShowHide 2 attributes of messages
levelstringRequiredmessagestringRequired
underwritingobjectShowHide 26 attributes of underwriting
decisionstringminOfferAmountnumbermaxOfferAmountnumberminOfferRatenumbermaxOfferRatenumberofeeMaxThresholdnumberoffersarray of objectsShowHide 11 attributes of offers
uuidstring<uuid>RequiredminAmountnumberRequiredmaxAmountnumberRequiredratenumberRequiredprimeRatenumberRequiredterminteger<int32>RequiredrateTypeenumRequiredOne ofUNKNOWNFIXEDVARIABLEoriginationFeePercentnumberRequireddiscountsarray of objectsShowHide 2 attributes of discounts
typestringRequiredrateDiscountAmountnumberRequired
preDiscountOriginationFeenumberappliedOriginationFeeCapAmountnumber
selectedOfferobjectShowHide 13 attributes of selectedOffer
offerUuidstring<uuid>RequiredloanAmountnumberRequireddrawAmountnumberRequiredestimatedMonthlyPaymentnumberRequiredratenumberRequiredprimeRatenumberRequiredterminteger<int32>RequiredrateTypeenumRequiredOne ofUNKNOWNFIXEDVARIABLEoriginationFeePercentnumberRequiredoriginationFeenumberRequiredDeprecateduse originationFeePercent instead
selectedDiscountsarray of objectsShowHide 2 attributes of selectedDiscounts
typestringRequiredrateDiscountAmountnumberRequired
creditLinenumberoriginationFeeAmountnumber
softCreditobjectShowHide 3 attributes of softCredit
providerenumOne ofEXPERIANTRANS_UNIONscoreinteger<int32>timestampstring<date-time>
hardCreditobjectShowHide 3 attributes of hardCredit
providerenumOne ofEXPERIANTRANS_UNIONscoreinteger<int32>timestampstring<date-time>
monthlyIncomenumberstatedMonthlyIncomenumberpreLoanDtinumberpostLoanDtinumberstatedDtinumbercoDeedStatusenumOne ofINITIALIN_PROGRESSCOMPLETEfloodInsuredbooleanhomeownersInsuredbooleanemploymentTypestringhomeForSaleMlsResponsebooleanhomeForSaleBorrowerAttestedbooleancreditAsOfDatestring<date>pricingAsOfDatestring<date>guidelineVersionstringfinalAvmFsdinteger<int32>prequalFsdinteger<int32>
requestUuidstring<uuid>
Response
POST
/products /heloc /v1 /inquiry /{appUuid} /calculate-offersResponse